1. Regimes
ESG SDMS Prod
  • Authentication
    • Auth
      POST
  • Corporate
    • Indicators
      • List Indicators
      • Show Indicator
    • Indicator Data Input
      • List Data Input
      • Get Data Input
      • Create Data Input
      • Update Data Input
      • Delete Data Input
      • Create or Update Data Input
    • Units
      • List Units
      • Show Unit
    • Themes
      • List Themes
      • Show Theme
    • Groups
      • Show Group
      • List Groups
    • Regimes
      • Show Regime
        GET
      • List Regimes
        GET
    • Years
      • Show Year
      • List Years
  1. Regimes

Show Regime

Prod Env
https://platform.esginvest.com
Prod Env
https://platform.esginvest.com
GET
/api/external/corporate/regimes/{{ID}}
Generated from cURL: curl --location '{{BASE_URL}}/api/external/corporate/regimes/{{ID}}' --request GET --header 'Authorization: Bearer {{TOKEN}}'

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location -g --request GET 'https://platform.esginvest.com/api/external/corporate/regimes/{{ID}}' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": 10,
    "name": "IFRS S1 ESG Metrics",
    "is_unified": false,
    "is_monthly": false,
    "is_custom": false,
    "is_private": false,
    "pivot": {
        "company_id": 156,
        "regime_id": 10
    }
}
Modified at 2026-03-30 01:20:00
Previous
List Groups
Next
List Regimes
Built with